import WorkflowRunRef from '../../../util/workflow-run-ref';
import { HatchetClient } from '../client';
/**
 * RunsClient is used to list and manage runs
 */
export declare class RunsClient {
    api: HatchetClient['api'];
    tenantId: string;
    constructor(client: HatchetClient);
    get<T = any>(run: string | WorkflowRunRef<T>): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRun>;
    getDetails<T = any>(run: string | WorkflowRunRef<T>): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRunShape>;
    list(opts?: Parameters<typeof this.api.workflowRunList>[1]): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRunList>;
    replay(opts: Parameters<typeof this.api.v1TaskReplay>[1]): Promise<void>;
    cancel(opts: Parameters<typeof this.api.v1TaskCancel>[1]): Promise<void>;
}
